[2019.08.x] package/cups-filters: fix ln -r workaround for older patch versions
diff mbox series

Message ID 20191018141229.19951-1-unixmania@gmail.com
State Accepted
Commit fe0f84179435cbc1e1db4a4ded76130da68661c2
Headers show
Series
  • [2019.08.x] package/cups-filters: fix ln -r workaround for older patch versions
Related show

Commit Message

Carlos Santos Oct. 18, 2019, 2:12 p.m. UTC
From: Carlos Santos <unixmania@gmail.com>

0001-install-support-old-ln-versions-without-the-r-option.patch adds a
ln-srf script for older distributions to emulate 'ln -r', but GNU patch <
2.7 does not handle the git patch permission extensions - So ensure it is
executable.

https://savannah.gnu.org/forum/forum.php?forum_id=7361

Fixes:
    http://autobuild.buildroot.net/results/5c88115b92abc1360a979cd46e00332f61c41cb4

Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Signed-off-by: Carlos Santos <unixmania@gmail.com>
---
 package/cups-filters/cups-filters.mk | 10 ++++++++++
 1 file changed, 10 insertions(+)

Comments

Peter Korsgaard Oct. 18, 2019, 6:55 p.m. UTC | #1
>>>>> "unixmania" == unixmania  <unixmania@gmail.com> writes:

 > From: Carlos Santos <unixmania@gmail.com>
 > 0001-install-support-old-ln-versions-without-the-r-option.patch adds a
 > ln-srf script for older distributions to emulate 'ln -r', but GNU patch <
 > 2.7 does not handle the git patch permission extensions - So ensure it is
 > executable.

 > https://savannah.gnu.org/forum/forum.php?forum_id=7361

 > Fixes:
 >     http://autobuild.buildroot.net/results/5c88115b92abc1360a979cd46e00332f61c41cb4

 > Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
 > Signed-off-by: Carlos Santos <unixmania@gmail.com>

Committed to 2019.08.x, thanks.

Patch
diff mbox series

diff --git a/package/cups-filters/cups-filters.mk b/package/cups-filters/cups-filters.mk
index fa7627ee96..47e1b11bfd 100644
--- a/package/cups-filters/cups-filters.mk
+++ b/package/cups-filters/cups-filters.mk
@@ -22,6 +22,16 @@  CUPS_FILTERS_CONF_OPTS = --disable-imagefilters \
 	--with-pdftops=pdftops \
 	--with-jpeg
 
+# 0001-install-support-old-ln-versions-without-the-r-option.patch adds
+# a ln-srf script for older distributions, but GNU patch < 2.7 does
+# not handle the git patch permission extensions - So ensure it is
+# executable
+define CUPS_FILTERS_MAKE_LN_SRF_EXECUTABLE
+	chmod +x $(@D)/ln-srf
+endef
+
+CUPS_FILTERS_POST_PATCH_HOOKS += CUPS_FILTERS_MAKE_LN_SRF_EXECUTABLE
+
 # After 0002-filter-texttotext.c-link-with-libiconv-if-needed.patch autoreconf
 # needs config.rpath and ABOUT-NLS, which are not in v1.25.4 yet. Fake them.
 define CUPS_FILTERS_ADD_MISSING_FILE